<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.admin.mapper.PjDataMapper">

    <select id="listDayGas" resultType="com.huimv.admin.entity.vo.EnergyAllDataVo">
        SELECT Convert((IFNUll(sum(weight),'0')),DECIMAL(10,2)) 'value',date_time 'createDate' FROM `pj_data`
         ${ew.customSqlSegment}
        GROUP BY DATE_FORMAT(date_time,'%Y-%m-%d')
        ORDER BY date_time ASC
    </select>
</mapper>
